.widget {
  @extend %flexbox;
  @include justify-content(center);
  @include align-items(center);
  padding: 6px 16px;
  border-radius: 4px;
  margin-top: 8px;
  margin-bottom: 8px;
  flex: 1;
  color: rgba(#000,.55);
  .widget-icon {
    i {
      font-size: 62px;
      opacity: .6;
    }
  }
  .widget-text {
    @extend %flexbox;
    @include flex-direction(column);
    @include align-items(flex-end);
    @include flex(1);
  }
  .widget-title {
    font-weight: 600;
    font-size: 15px;
    margin-bottom: 6px;
  }
  .widget-value {
    font-size: 30px;
    font-weight: bold;
  }
  &.color-1 {
    color: $widget-color-text;
    box-shadow: 0 8px 12px -4px rgba(0,0,0,0.12);
    background-color: $widget-color-1;
    background-image: linear-gradient(150deg, $widget-color-1, saturate($widget-color-1,50%));
  }
  &.color-2 {
    color: $widget-color-text;
    box-shadow: 0 8px 12px -4px rgba(0,0,0,0.12);
    background-color: $widget-color-2;
    background-image: linear-gradient(150deg, $widget-color-2, saturate($widget-color-2,50%));
  }
  &.color-3 {
    color: $widget-color-text;
    box-shadow: 0 8px 12px -4px rgba(0,0,0,0.12);
    background-color: $widget-color-3;
    background-image: linear-gradient(150deg, #bb3d7c, #8726b9);
  }
  &.color-4 {
    color: $widget-color-text;
    box-shadow: 0 8px 12px -4px rgba(0,0,0,0.12);
    background-color: $widget-color-4;
  }
  &.style-1 {
    overflow: hidden;
    position: relative;
    &.color-0 {
      .widget-icon {
        i {
          font-size: 62px;
        }
      }
    }
    .widget-icon {
     @include media-breakpoint-up(sm) {
        position: absolute;
        left: 8px;
      }
      i {
        font-size: 62px;
       @include media-breakpoint-up(sm) {
          font-size: 100px;
        }
        @include media-breakpoint-up(lg) {
          font-size: 120px;
        }
      }
    }
  }
  &.style-2 {
    .widget-icon {
      i {
        font-size: 40px;
      }
    }
    .widget-title {
      display: none;
    }
    .widget-value {
      font-size: 26px;
    }
  }
  &.style-3 {
    @include flex-direction(column);
    padding: 20px 16px;
    .widget-text {
      @include align-items(center);
    }
    .widget-subtitle {
      font-size: 14px;
    }
    .widget-value {
      order: -1;
    }
  }
}
